Gpgsql2shp Manual

Steffen Macke

<Steffen_Macke@gmail.com>

Copyright © 2007 Steffen Macke

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is available from the Free Software Foundation (http://www.gnu.org).

$Date: 2007-02-03 07:05:32 +0200 (Wed, 06 Apr 2005) $

Table of Contents

General
1. Introduction
1.1. What's New?
1.1.1. Version 0.2.0
2. Requirements
3. Installation
3.1. Installation Using the Installer
Reference
1. Usage
2. Configuration
2.1. Environment Variables
3. Commandline Usage
4. Troubleshooting
5. Security
6. Development
6.1. Release Process
Index


General

Table of Contents

1. Introduction
1.1. What's New?
1.1.1. Version 0.2.0
2. Requirements
3. Installation
3.1. Installation Using the Installer


1. Introduction

1.1. What's New?
1.1.1. Version 0.2.0

Gpgsql2shp provides a graphical interface to create shapefiles from PostGIS databases.

Gpgsql2shp is available from http://sdteffen.de/gis/gpgsql2shp.html. It is free software released under the terms of the GPL license - the full source code is available (Open Source).

This manual describes Gpgsql2shp version 0.2.0.


1.1. What's New?

1.1.1. Version 0.2.0

A summary of changes in the different versions of the AV PostGIS Extension.


1.1.1. Version 0.2.0

First public Gpgsql2shp release.


2. Requirements

GTK+ version 2.6 or higher is required in order to use the Gpgsql2shp.

A PostgreSQL database witht the PostGIS extension is required.


3. Installation

3.1. Installation Using the Installer

How to install Gpgsql2shp.


3.1. Installation Using the Installer

How to install the Gpgsql2shp using the installer.

Download the GTK+ runtime installer and execute it.

Download the installer and execute it.


Reference

Table of Contents

1. Usage
2. Configuration
2.1. Environment Variables
3. Commandline Usage
4. Troubleshooting
5. Security
6. Development
6.1. Release Process


1. Usage

Run the program.

Fill in the required information.

Click on the OK button.

Review the message.


2. Configuration

2.1. Environment Variables


2.1. Environment Variables

A number of standard PostgreSQL environment variables are used by Gpgsql2shp, if they are set:

PGPASSWORD
PGHOST
PGPORT
PGDATABASE
PGUSER


3. Commandline Usage

Gpgsql2shp accepts the shapefile name as a commandline argument.

      Gpgsql2shp [shapefile]


4. Troubleshooting

Please report problems through the AVPGCon trackers.

Please include the full contents of the three output fields (commandline, output, errors).


5. Security

[Caution] Caution

Gpgsql2shp stores the password temporarily in an enviroment variable. If this is not secure enough for you, please do not use Gpgsql2shp.


6. Development

6.1. Release Process

The version number shall be derived from the packaged PostGIS version plus an additional digit for the actual extension.

PostgreSQL releases with security fixes trigger new Gpgsql2shp releases.


6.1. Release Process

Update the version number in build.xml, installer/win32/gpgsql2shp.nsi and doc/en/gpgsql2shp.xml.